local name = "StopFrame"
local RequestButtonEnable
local RequestFrame = CreateFrame("Frame", "RequestFrame")
SLASH_SRB1 = '/srb';

function StopRequestHandler(self, event, ...)
--print("|cffcc33ff We made it here")
	if event == "PLAYER_ENTERING_WORLD" then
		--	print("|cffcc33ff Welcome to Azeroth")
			StopButton:Hide()
	elseif event == "PLAYER_CONTROL_GAINED" then
		--	print("Not on Flight Path")
			OnTaxi = nil
			StopButton:Hide()
	
	elseif not UnitOnTaxi("player") then
		--	print("On Flight Path")
			StopButton:Show()
	end
end

RequestFrame:SetPoint("CENTER", 180, -180)
RequestFrame:RegisterEvent("UnitOnTaxi")
RequestFrame:RegisterEvent("PLAYER_CONTROL_GAINED")
RequestFrame:RegisterEvent("VEHICLE_UPDATE")
RequestFrame:RegisterEvent("PLAYER_CONTROL_LOST")
RequestFrame:RegisterEvent("PLAYER_ENTERING_WORLD")
RequestFrame:SetScript("OnEvent", StopRequestHandler)


local template = "UIPanelButtonTemplate"
local StopButton = CreateFrame("Button", "StopButton", UIParent, "UIPanelButtonTemplate")
StopButton:SetSize(120, 50)
StopButton:SetText("Request Stop")
StopButton:SetPoint("CENTER", 180, -180)
StopButton:SetScript("OnClick", function()
				RaidNotice_AddMessage(RaidWarningFrame, "|cffcc33ff Okay|r |cff00ccff "..UnitName("player").."|r |cffcc33ff Stopping at the next Flight Master.|r", ChatTypeInfo["RAID_WARNING"])
				print("|cffcc33ff Okay|r |cff00ccff "..UnitName("player").."|r |cffcc33ff Stopping at the next Flight Master.|r");
				TaxiRequestEarlyLanding()
				end)

function SlashCmdList.SRB()
		if  StopButton:IsVisible() then
			StopButton:Hide()
			
		else
			StopButton:Show()
						
		end
end